## GstVaapiPixmapX11 GstVaapiPixmapX11 — X11 pixmap abstraction |

## Functions

#define | GST_VAAPI_PIXMAP_XPIXMAP()
GstVaapiPixmap * | gst_vaapi_pixmap_x11_new ()
GstVaapiPixmap * | gst_vaapi_pixmap_x11_new_with_xid ()
Pixmap | gst_vaapi_pixmap_x11_get_xid ()
gboolean | gst_vaapi_pixmap_x11_is_foreign_xid ()

## Types and Values

| GstVaapiPixmapX11

## Description

## Functions

### GST_VAAPI_PIXMAP_XPIXMAP()

    #define             GST_VAAPI_PIXMAP_XPIXMAP(pixmap)

Macro that evaluates to the underlying X11 Pixmap of `pixmap`

#### Parameters

pixmap | a GstVaapiPixmap |

### gst_vaapi_pixmap_x11_new ()

    GstVaapiPixmap *
    gst_vaapi_pixmap_x11_new (GstVaapiDisplay *display,
                              GstVideoFormat format,
                              guint width,
                              guint height);

Creates a pixmap with the specified `format` , `width` and `height` . The pixmap will be attached to the `display` .

#### Parameters

display | a GstVaapiDisplay |
format | the requested pixmap format |
width | the requested pixmap width, in pixels |
height | the requested windo height, in pixels |

#### Returns

the newly allocated GstVaapiPixmap object

### gst_vaapi_pixmap_x11_new_with_xid ()

    GstVaapiPixmap *
    gst_vaapi_pixmap_x11_new_with_xid (GstVaapiDisplay *display,
                                       Pixmap xid);

Creates a GstVaapiPixmap using the X11 Pixmap `xid` . The caller still owns the pixmap and must call `XFreePixmap()` when all GstVaapiPixmap references are released. Doing so too early can yield undefined behaviour.

#### Parameters

display | a GstVaapiDisplay |
xid | an X11 Pixmap id |

#### Returns

the newly allocated GstVaapiPixmap object

### gst_vaapi_pixmap_x11_get_xid ()

    Pixmap
    gst_vaapi_pixmap_x11_get_xid (GstVaapiPixmapX11 *pixmap);

Returns the underlying X11 Pixmap that was created by `gst_vaapi_pixmap_x11_new()` or that was bound with `gst_vaapi_pixmap_x11_new_with_xid()`.

#### Parameters

pixmap | a GstVaapiPixmapX11 |

#### Returns

the underlying X11 Pixmap bound to `pixmap` .

### gst_vaapi_pixmap_x11_is_foreign_xid ()

    gboolean
    gst_vaapi_pixmap_x11_is_foreign_xid (GstVaapiPixmapX11 *pixmap);

Checks whether the `pixmap` XID was created by `gst_vaapi_pixmap_x11_new()` or was bound with `gst_vaapi_pixmap_x11_new_with_xid()`.

#### Parameters

pixmap | a GstVaapiPixmapX11 |

#### Returns

`TRUE` if the underlying X pixmap is owned by the caller (foreign pixmap)

## Types and Values

### GstVaapiPixmapX11

    typedef struct _GstVaapiPixmapX11 GstVaapiPixmapX11;